function correctURL (url) {
 var template = /^(?:(?:https?|http|ftp):\/\/(?:[a-z-0-9_-]{1,32}(?::[a-z-0-9_-]{1,32})?@)?)?(?:(?:[a-z-0-9-]{1,128}\.)+(?:com|net|org|mil|edu|arpa|ru|gov|biz|info|aero|inc|name||[a-z]{2})|(?!0)(?:(?!0[^.]|255)[0-9]{1,3}\.){3}(?!0|255)[0-9]{1,3})(?:\/[a-z0-9.,_@%&?+=\~\/-]*)?(?:#[^ \'\"&<>]*)?$/i;
 var regex = new RegExp (template);
 return (regex.test(url) ? true : false);
}

function validEmail (mail) {
 return (new RegExp ("^[_.0-9a-z-]+@([0-9a-z][0-9a-z_-]+.)+[a-z]{2,4}$").test(mail) ? 1 : 0);
}

function strip_tags (string) {
 return string.replace(/<\/?[^>]+>/gi, '');  
} 

function trim(string) {
 return string.replace (/(^\s+)|(\s+$)/g, "");
}

function goodWordsLength (v,maxWordLen) {
 var s=v.split(/\s/);
 for (var i=0; i<s.length; i++) 
  if ( (s[i].length>maxWordLen) && (!correctURL(s[i])) ) {
   return false;
  }
 return true;
}


