<?php 
require_once ("functions.php");
require_once ("searchform.php");

$keyword='';
$mode='or';
$tags=$comments='';
if (!isset($_GET['a'])) { $tags=$comments='1'; }
if (isset($_GET['t'])) $keyword=trim($_GET['t']);
if (isset($_GET['m'])) $mode=trim($_GET['m']);
if (isset($_GET['tg'])) $tags=trim($_GET['tg']);
if (isset($_GET['cm'])) $comments=trim($_GET['cm']);
$start=get_int0('s');
$cstart=get_int0('c');

title ('');
include "header.php";

$keyword=trimrepeats(trimall($keyword));
searchform ($keyword,$mode,$tags,$comments);

$error=false;
if (empty($keyword) or minwordlen($keyword)<3) $error=true;

$k = array ();
if (!$error) {
 $k = @split(' ', $keyword);
 $num_keywords = count($k);
 if ($num_keywords>SEARCH_MAXWORDS) {
  $num_keywords=SEARCH_MAXWORDS;
  print '<p>        ('.SEARCH_MAXWORDS.').       .</p>';
 }
 $sql = "select notes.id as id, notes.date, notes.name, notes.rating, notes.anons, blocks.id_note, blocks.type, blocks.visible, blocks.url, blocks.text from notes, blocks where (notes.id = blocks.id_note) AND (blocks.visible=1) AND (";

 for ($i=0; $i<$num_keywords; $i++) {
  $sql.=
   "(lower(blocks.text) like lower('%".scheck($k[$i])."%')"
   ." or lower(blocks.url) like lower('%".scheck($k[$i])."%'))";
  if ($i<$num_keywords-1) {
   if ($mode=='and') $sql.= ' and ';
   else $sql.= ' or ';
  }
 }
 $sql.=') OR (';
 for ($i=0; $i<$num_keywords; $i++) {
  $sql.="(lower(notes.name) like lower('%".scheck($k[$i])."%')"
   ." or lower(notes.anons) like lower('%".scheck($k[$i])."%'))";
  if ($i<$num_keywords-1) {
   if ($mode=='and') $sql.= ' and ';
   else $sql.= ' or ';
  }
 }

 $keywords=''; 
 for ($i=0; $i<$num_keywords; $i++) { $keywords.=urlencode($k[$i]); if ($i<$num_keywords-1) $keywords.='+'; }

 $sql.=') group by notes.id order by '.check_sort_mode ($_SESSION['sort']);
 $result = dbquery($sql);
 if (!$result) {
  sql_error (0," ",$sql,"search.php");
  exit;
 }

 print "<h3> </h3>";
 $n = dbrows($result);
 if ($n>0) {
  $cnt=$start+1;
  $fin=min($start+SEARCH_RESULTS_LIMIT,$n);
  if ($n>SEARCH_RESULTS_LIMIT) {
   print '<div align="center">';
   navigation_string ($n,$start,SEARCH_RESULTS_LIMIT,"search.php?t=$keywords&m=$mode&tg=$tags&cm=$comments&a=OK&c=$cstart&s=");
   print '</div>';
  }
  if (mysql_data_seek ($result,$start)) for ($z=$start; $z<$fin; $z++) {  
   $note = dbfetcha ($result);
   $id=$note['id'];
   $title=$note['name'];
   $date=$note['date'];
   $rating=intval($note['rating']);
   $anons=$note['anons'];
   $type=$note['type'];
   $url=$note['url'];
   $text0=$note['text'];
   $text=$anons.' '.(empty($url)?'':$url);
   if ($id==$note['id_note']) $text.= ' '.$text0;

   if (empty($title)) $title='  ';
   print "<p><b>$cnt</b>. <a href=\"show.php?id=".$id."\">".$title.'</a>';
   $cnt++;
   $br=true;
   for ($i=0; $i<$num_keywords; $i++) {
    $st=stristr1 ($text,$k[$i]);
    if ($st) {
     $st=strip_tags($st);
     $l=strlen($st);
     $res=substr ($st,0,min(SEARCH_SHOW_LENGTH,$l));
     if (SEARCH_SHOW_LENGTH<$l) $res.='... ';
     if ($br) { $br=false; print '<br>'; }
     if ($type<4) print htmlspecialchars($res);
     else {
      $u0='';
      if ($type==4) print '';
      else if ($type==5) { print ''; $u0=PICTURES_FOLDER.'/'; }
      else { print ''; $u0=ARCHIVES_FOLDER.'/'; }
      print ": <a href=\"".$u0.$url."\" target=\"_blank\">".$res."</a> ";
     }
    }
   }
   print "<br><small>".@date(DATETIME_FORMAT, $date);
   if ($rating>0) print ' ['.$rating.']';
   print "</small></p>\n";
  }
  if ($n>SEARCH_RESULTS_LIMIT) {
   print '<div align="center">';
   navigation_string ($n,$start,SEARCH_RESULTS_LIMIT,"search.php?t=$keywords&m=$mode&tg=$tags&cm=$comments&a=OK&c=$cstart&s=");
   print '</div>';
  }
 }
 else {
  print '<p>  ';
  $blocks = dbfetch(dbquery('select count(*) from blocks'));
  if (empty($blocks[0])) print '<br><i>     ,         </i>';
  print '</p>';
 }
 dbfree ($result);

 if ($tags=='1') {
  $sql = "select id,name from tags where ";
  for ($i=0; $i<$num_keywords; $i++) {
   $sql.="lower(name) like lower('%".scheck($k[$i])."%')";
   if ($i<$num_keywords-1) { $sql.= ' or ';  }
  }
  $sql.=' order by '.check_sort_mode ($_SESSION['sort']); // limit $start,LIMIT
  $result = dbquery($sql);
  if (!$result) {
   sql_error (0," ",$sql,"search.php");
   exit;
  }
  print '<p>';  
  $n = dbrows($result);
  if ($n>0) {
   print '<b> :</b> ';
   while ($note = dbfetcha($result)) {
    $id=$note['id'];
    $name=$note['name'];
    print "<a href=\"tag.php?id=".$id."\">".$name.'</a> ';
   }
  }
  else {
   print "  ";
  }
  print '</p>';
  dbfree ($result);
 }

 if ($comments=='1') {
  $sql = "select comments.id as id,comments.id_note,comments.name as name,comments.message,comments.answer,comments.date, notes.id as nid, notes.name as title, notes.rating, notes.anons from comments, notes where comments.id_note=notes.id and (";
  for ($i=0; $i<$num_keywords; $i++) {
   $sql.="(lower(comments.name) like lower('%".scheck($k[$i])."%') or lower(comments.message) like lower('%".scheck($k[$i])."%') or lower(comments.answer) like lower('%".scheck($k[$i])."%'))";
   if ($i<$num_keywords-1) {
    if ($mode=='and') $sql.= ' and ';
    else $sql.= ' or ';
   }
  }
  $order1=check_sort_mode ($_SESSION['sort']);
  if ($order1=='rating desc') $order1 = 'notes.rating desc';
  $sql.=') order by '.$order1;
  $result = dbquery($sql);
  if (!$result) {
   sql_error (0," ",$sql,"search.php");
   exit;
  }
  $n = dbrows($result);
  $cnt=$cstart+1;
  if ($n>0) {
   print '<p><b> :</b></p>';
   $fin=min($cstart+COMMENTS_LIMIT,$n);
   if ($n>COMMENTS_LIMIT) {
    print '<div align="center">';
    navigation_string ($n,$cstart,COMMENTS_LIMIT,"search.php?t=$keywords&m=$mode&tg=$tags&cm=$comments&a=OK&s=$start&c=");
    print '</div>';
   }
   if (mysql_data_seek ($result,$cstart)) for ($z=$cstart; $z<$fin; $z++) {  
    $note = dbfetcha ($result);
    $id=$note['id'];
    $id_note=$note['id_note'];
    $author=$note['name'];
    $message=$note['message'];
    $answer=$note['answer'];
    $date=$note['date'];
    $rating=intval($note['rating']);
    $title1='';
    if (!empty($note['title'])) $title1=$note['title'];
    print '<p><b>'.$cnt.'</b>. '.$author." (<a href=\"show.php?id=".$id_note."\">".$title1."</a>): ";
    $cnt++;
    for ($i=0; $i<$num_keywords; $i++) {
     $st=stristr1 ($message,$k[$i]);
     if (!$st) $st=stristr1 ($answer,$k[$i]);
     if (!$st) $st=stristr1 ($author,$k[$i]);
     if (!$st) continue;
     $l=strlen($st);
     if ($l>SEARCH_SHOW_LENGTH) $res=substr($st,0,SEARCH_SHOW_LENGTH).'... ';
     else if ($l<1) $res=' ';
     else $res=$st;
     print "<a href=\"comments.php?id=".$id_note."\">$res</a>";
    }
    print "<br><small>".@date(DATETIME_FORMAT, $date);
    if ($rating>0) print ' ['.$rating.']';
    print "</small></p>\n";
   }
   if ($n>COMMENTS_LIMIT) {
    print '<div align="center">';
    navigation_string ($n,$cstart,COMMENTS_LIMIT,"search.php?t=$keywords&m=$mode&tg=$tags&cm=$comments&a=OK&s=$start&c=");
    print '</div>';
   }
  }
  else {
   print "<p>  </p>";
  }
  dbfree ($result);
 }
}
else if (isset($_GET['a'])) {
 print "<p>  .           3 </p>";
}

include "footer.php";
?>
